

# ListNamedShadowsForThing
<a name="API_iotdata_ListNamedShadowsForThing"></a>

Lists the shadows for the specified thing.

Requires permission to access the [ListNamedShadowsForThing](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax
<a name="API_iotdata_ListNamedShadowsForThing_RequestSyntax"></a>

```
GET /api/things/shadow/ListNamedShadowsForThing/thingName?nextToken=nextToken&pageSize=pageSize HTTP/1.1
```

## URI Request Parameters
<a name="API_iotdata_ListNamedShadowsForThing_RequestParameters"></a>

The request uses the following URI parameters.

 ** [nextToken](#API_iotdata_ListNamedShadowsForThing_RequestSyntax) **   <a name="iot-iotdata_ListNamedShadowsForThing-request-uri-nextToken"></a>
The token to retrieve the next set of results.

 ** [pageSize](#API_iotdata_ListNamedShadowsForThing_RequestSyntax) **   <a name="iot-iotdata_ListNamedShadowsForThing-request-uri-pageSize"></a>
The result page size.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [thingName](#API_iotdata_ListNamedShadowsForThing_RequestSyntax) **   <a name="iot-iotdata_ListNamedShadowsForThing-request-uri-thingName"></a>
The name of the thing.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[a-zA-Z0-9:_-]+`   
Required: Yes

## Request Body
<a name="API_iotdata_ListNamedShadowsForThing_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_iotdata_ListNamedShadowsForThing_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "results": [ "string" ],
   "timestamp": number
}
```

## Response Elements
<a name="API_iotdata_ListNamedShadowsForThing_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_iotdata_ListNamedShadowsForThing_ResponseSyntax) **   <a name="iot-iotdata_ListNamedShadowsForThing-response-nextToken"></a>
The token to use to get the next set of results, or **null** if there are no additional results.  
Type: String

 ** [results](#API_iotdata_ListNamedShadowsForThing_ResponseSyntax) **   <a name="iot-iotdata_ListNamedShadowsForThing-response-results"></a>
The list of shadows for the specified thing.  
Type: Array of strings  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[$a-zA-Z0-9:_-]+` 

 ** [timestamp](#API_iotdata_ListNamedShadowsForThing_ResponseSyntax) **   <a name="iot-iotdata_ListNamedShadowsForThing-response-timestamp"></a>
The Epoch date and time the response was generated by AWS IoT.  
Type: Long

## Errors
<a name="API_iotdata_ListNamedShadowsForThing_Errors"></a>

 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** MethodNotAllowedException **   
The specified combination of HTTP verb and URI is not supported.    
 ** message **   
The message for the exception.
HTTP Status Code: 405

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is temporarily unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 429

 ** UnauthorizedException **   
You are not authorized to perform this operation.    
 ** message **   
The message for the exception.
HTTP Status Code: 401

## See Also
<a name="API_iotdata_ListNamedShadowsForThing_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iot-data-2015-05-28/ListNamedShadowsForThing) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iot-data-2015-05-28/ListNamedShadowsForThing) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iot-data-2015-05-28/ListNamedShadowsForThing) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iot-data-2015-05-28/ListNamedShadowsForThing) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iot-data-2015-05-28/ListNamedShadowsForThing) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iot-data-2015-05-28/ListNamedShadowsForThing) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iot-data-2015-05-28/ListNamedShadowsForThing) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iot-data-2015-05-28/ListNamedShadowsForThing) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iot-data-2015-05-28/ListNamedShadowsForThing) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iot-data-2015-05-28/ListNamedShadowsForThing) 